<?php
/*
filedetail.php
Copyright (C) 2008,2009,2010 IN2P3, CNRS

This file is part of Ftsmonitor.

Ftsmonitor is free software; you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation; either version 2 of the License, or
(at your option) any later version.

Ftsmonitor is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with Ftsmonitor; if not, write to the Free Software
Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
*/

/*
VERSION: '$Id: filedetail.php,v 1.8 2010/05/19 13:36:53 schwarz Exp $';
AUTHOR: Lionel Schwarz (lionel.schwarz@in2p3.fr)
*/

header("Content-type: text/xml");
echo '<?xml version="1.0"  encoding="utf-8"?>';
require_once('ftsinit.php');

try {
  $fileid = $_REQUEST['fileid'];
  //if (!isValidJobId($fileid)) {
  //  throw new Exception("This is not a valid file id: $fileid");
  //}
   if (isset($fileid)) {
    init();
    if (!isValidFileid($fileid)) throw new InvalidInputException("Invalid fileid: \"$fileid\"");
    $query = "select * from " . $ftsm->conf->connSchema . "T_FILE where T_FILE.FILE_ID = " . $fileid . "";
    $ftsq->setQuery($query);
    //echo $query;
    $r = $ftsq->execute();
    echo '<file>';
    $r->displayXML('detail');
    $query = "select TRANSFER_STATE, SOURCE_TURL, DEST_TURL, ERROR_SCOPE, REASON from " . $ftsm->conf->connSchema . "T_TRANSFER where FILE_ID = " . $fileid . "";
    $ftsq->setQuery($query);
    $r = $ftsq->execute();
    echo '<list name="transfers">';
    $r->displayXML('transfer');
    echo "</list>";
    echo '</file>';
    
   }
} catch (Exception $e) {
    echo "<file>";
    echo '<error>' . $e->getMessage() . '</error>';
    echo "</file>";
}
?>


